Qt 5.6 | Qt Widgets | C++ Classes | QDialog

Qt 5.6.2 Reference Documentation

# Obsolete Members for QDialog

The following members of class QDialog are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QWidget * | extension() const
`(obsolete)` Qt::Orientation | orientation() const
`(obsolete)` void | setExtension(QWidget *extension)
`(obsolete)` void | setOrientation(Qt::Orientation orientation)

- 3 public functions inherited from QWidget

## Public Slots

`(obsolete)` void | showExtension(bool showIt)

## Member Function Documentation

### QWidget *QDialog::extension() const

Returns the dialog's extension or 0 if no extension has been defined.

Instead of using this functionality, we recommend that you simply call show() or hide() on the part of the dialog that you want to use as an extension. See the Extension Example for details.

See also setExtension(), showExtension(), and setOrientation().

### Qt::Orientation QDialog::orientation() const

Returns the dialog's extension orientation.

Instead of using this functionality, we recommend that you simply call show() or hide() on the part of the dialog that you want to use as an extension. See the Extension Example for details.

See also setOrientation() and extension().

### void QDialog::setExtension(QWidget *extension)

Sets the widget, extension, to be the dialog's extension, deleting any previous extension. The dialog takes ownership of the extension. Note that if 0 is passed any existing extension will be deleted. This function must only be called while the dialog is hidden.

Instead of using this functionality, we recommend that you simply call show() or hide() on the part of the dialog that you want to use as an extension. See the Extension Example for details.

See also extension(), showExtension(), and setOrientation().

### void QDialog::setOrientation(Qt::Orientation orientation)

If orientation is Qt::Horizontal, the extension will be displayed to the right of the dialog's main area. If orientation is Qt::Vertical, the extension will be displayed below the dialog's main area.

Instead of using this functionality, we recommend that you simply call show() or hide() on the part of the dialog that you want to use as an extension. See the Extension Example for details.

See also orientation() and setExtension().

### `[slot]` void QDialog::showExtension(bool showIt)

If showIt is true, the dialog's extension is shown; otherwise the extension is hidden.

Instead of using this functionality, we recommend that you simply call show() or hide() on the part of the dialog that you want to use as an extension. See the Extension Example for details.

See also show(), setExtension(), and setOrientation().